using System;
using System.Diagnostics;
using System.Diagnostics.CodeAnalysis;

namespace Valg.EVA.Skanning.UserInterfaceElements.BrowserLaunch
{
    [ExcludeFromCodeCoverage]
    public class BrowserLauncher : IBrowserLauncher
    {
        public void OpenWebBrowser(Uri uri)
        {
            try
            {
                Process.Start(uri.AbsoluteUri);
            }
            catch (Exception exception)
            {
                throw new OpenWebBrowserException(exception);
            }
        }
    }
}

